mpb_1.7.0-5_amd64.deb


Advertisement

Description

mpb - MIT Photonic-Bands

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename mpb_1.7.0-5_amd64.deb
Package name mpb
Package version 1.7.0
Package release 5
Package architecture amd64
Package type deb
Category universe/science
Homepage https://mpb.readthedocs.io
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 202.21 KB
Installed size 1.11 MB
The MIT Photonic-Bands package is a free program for computing the band
structures (dispersion relations) and electromagnetic modes of periodic
dielectric structures, on both serial and parallel computers. It was
developed by Steven G. Johnson at MIT in the Joannopoulos Ab Initio
Physics group, and designed to study photonic crystal structures.

Alternatives

Package Version Architecture Repository
mpb_1.7.0-5_i386.deb 1.7.0 i386 Ubuntu Universe
mpb - - -

Requires

Name Value
guile-2.2-libs -
libblas.so.3 -
libblas3 -
libc6 >= 2.14
libctl7 >= 4.1.0
libfftw3-double3 >= 3.3.5
libhdf5-openmpi-103 >= 1.8.14
liblapack.so.3 -
liblapack3 -
mpb-scm -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package mpb_1.7.0-5_amd64.deb
Source Package mpb

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install mpb deb package:
    # sudo apt-get install mpb

Files

Path
/usr/bin/mpb
/usr/bin/mpb-data
/usr/bin/mpb-split
/usr/bin/mpbi
/usr/bin/mpbi-data
/usr/bin/mpbi-split
/usr/lib/libmpb.a
/usr/lib/libmpb.la
/usr/lib/libmpbi.a
/usr/lib/libmpbi.la
/usr/share/doc/mpb/NEWS.md.gz
/usr/share/doc/mpb/TODO
/usr/share/doc/mpb/changelog.Debian.gz
/usr/share/doc/mpb/copyright
/usr/share/man/man1/mpb-data.1.gz
/usr/share/man/man1/mpb-split.1.gz
/usr/share/man/man1/mpb.1.gz
/usr/share/man/man1/mpbi-data.1.gz
/usr/share/man/man1/mpbi-split.1.gz
/usr/share/man/man1/mpbi.1.gz

Changelog

2019-02-01 - Thorsten Alteholz <debian@alteholz.de>
mpb (1.7.0-5) sid; urgency=medium
* debian/control: update Homepage:
* debian/control: bump Standards Version to 4.3.0 (no changes)
* debian/copyright: update Upstream-Source:
* add patch to avoid zdotc on mipsel
2019-01-02 - Thorsten Alteholz <debian@alteholz.de>
mpb (1.7.0-4) unstable; urgency=medium
* debian/control: build everything on any architecture (Closes: #917947)
* debian/rules: Pass SH_JOB=/bin/bash to configure (Closes: #915296)
- fixes reproducible build on merged-usr vs non-merged
Thanks to Andreas Henriksson for the patch.
2018-12-25 - Thorsten Alteholz <debian@alteholz.de>
mpb (1.7.0-3) unstable; urgency=medium
* upload to unstable
* debian/control: add salsa VCS URLs
* debian/control: build on any architecture again
2018-11-20 - Thorsten Alteholz <debian@alteholz.de>
mpb (1.7.0-2) experimental; urgency=medium
* debian/control: depend on guile 2.2 (Closes: #885218)
* debian/control: depend on libctl >= 4.1.4
(this is the first guile 2.2 version)
2018-11-18 - Thorsten Alteholz <debian@alteholz.de>
mpb (1.7.0-1) experimental; urgency=medium
* New upstream release
* debian/control: bump Standards Version to 4.2.1 (no changes)
2018-08-14 - Thorsten Alteholz <debian@alteholz.de>
mpb (1.6.2-1) experimental; urgency=medium
* New upstream release
* debian/control: bump Standards Version to 4.1.5 (no changes)
* debian/rules: remove get-orig-source
2018-02-12 - Thorsten Alteholz <debian@alteholz.de>
mpb (1.6.1-1) experimental; urgency=medium
* New upstream release
* debian/control: use dh11
* debian/control: bump Standards Version to 4.1.3 (no changes)
* debian/control: remove dependencies: autotools-dev, dh-autoreconf
* debian/missing-sources: take some files from libctl
* debian/docs: NEWS is now NEWS.md
* debian/mpb-doc.examples: examples are in different directory now
* debian/rules: remove extra license file in doc package
2017-12-13 - Thorsten Alteholz <debian@alteholz.de>
mpb (1.5-3) unstable; urgency=low
* don't build package on mipsel (Closes: #846923)
* debian/control: bump Standards Version to 4.1.2 (no changes)
2014-08-02 - Thorsten Alteholz <debian@alteholz.de>
mpb (1.5-2) unstable; urgency=low
* Support hdf5 1.8.13 new packaging layout. (Closes: #756685)
(patch by Gilles Filippini <pini@debian.org>)
2014-05-02 - Thorsten Alteholz <debian@alteholz.de>
mpb (1.5-1) unstable; urgency=low
* upload to unstable
* new upstream version (Closes: #743465)
* debian/control: use guile 2 (Closes: #746008)
* debian/control: use libctl with guile 2
* debian/control: bump Standards Version to 3.9.5. (No changes needed).
* debian/control: depend on dh_autoreconf
* debian/control: remove obsolete DM-Upload-Allowed:
* debian/rules: use --with autoreconf

See Also

Package Description
mpc-ace_6.4.5+dfsg-1build2_all.deb makefile, project, and workspace creator
mpc123_0.2.4-5_amd64.deb command-line Musepack audio player
mpc_0.31-1_amd64.deb command-line tool to interface MPD
mpd-sima_0.14.4-2_all.deb Automagically add titles to MPD playlist
mpd_0.21.4-1build1_amd64.deb Music Player Daemon
mpdas_0.4.5-1_amd64.deb AudioScrobbler client for MPD
mpdcon.app_1.1.99-5build8_amd64.deb MPD controller for GNUstep
mpdcron_0.3+git20161228-3_amd64.deb add scrobbler, rating, play counts and other functionalities to MPD
mpdris2_0.7+git20181226-1_all.deb media player interface (MPRIS2) bridge for MPD
mpdscribble_0.22-6_amd64.deb Last.fm reporting client for mpd
mpdtoys_0.25_all.deb small command line tools and toys for MPD
mpeg2dec_0.5.1-8_amd64.deb Simple libmpeg2 video decoder application
mpeg3-utils_1.8.dfsg-2.1_amd64.deb MPEG streams decoding library
mpegdemux_0.1.4-4_amd64.deb MPEG1/2 system stream demultiplexer
mpg123-el_1.58-1_all.deb front-end to mpg321/ogg321 media players for Emacs
Advertisement
Advertisement